List issue collections
curl --request GET \
--url https://api.getdecipher.com/api/v1/monitoring/issue-collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getdecipher.com/api/v1/monitoring/issue-collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getdecipher.com/api/v1/monitoring/issue-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getdecipher.com/api/v1/monitoring/issue-collections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getdecipher.com/api/v1/monitoring/issue-collections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getdecipher.com/api/v1/monitoring/issue-collections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getdecipher.com/api/v1/monitoring/issue-collections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": 123,
"type": "<string>",
"rootCause": "<string>",
"shortenedPath": "<string>",
"createdAt": "<string>",
"isResolved": true,
"lastOccurred": "<string>",
"errorCount": 123,
"sessionCount": 123,
"estimatedUsers": 123
}
],
"hasMore": true,
"nextCursor": "<string>",
"window": {
"since": "<string>",
"until": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}Monitoring
List issue collections
Retrieve a paginated list of recent monitoring issue collections. Supports filtering by resolved status and URL regex against collection shortened paths. Results are ordered by most recent occurrence within the time window.
GET
/
api
/
v1
/
monitoring
/
issue-collections
List issue collections
curl --request GET \
--url https://api.getdecipher.com/api/v1/monitoring/issue-collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getdecipher.com/api/v1/monitoring/issue-collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getdecipher.com/api/v1/monitoring/issue-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getdecipher.com/api/v1/monitoring/issue-collections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getdecipher.com/api/v1/monitoring/issue-collections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getdecipher.com/api/v1/monitoring/issue-collections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getdecipher.com/api/v1/monitoring/issue-collections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": 123,
"type": "<string>",
"rootCause": "<string>",
"shortenedPath": "<string>",
"createdAt": "<string>",
"isResolved": true,
"lastOccurred": "<string>",
"errorCount": 123,
"sessionCount": 123,
"estimatedUsers": 123
}
],
"hasMore": true,
"nextCursor": "<string>",
"window": {
"since": "<string>",
"until": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}